com.holonplatform.http.internal

## Class HttpCookie.CookieBuilder

- java.lang.Object
- - com.holonplatform.http.internal.HttpCookie.CookieBuilder

- All Implemented Interfaces:
    Cookie.Builder
  Enclosing class:
    HttpCookie

      public static class HttpCookie.CookieBuilder
      extends Object
      implements Cookie.Builder

  Default `Cookie` builder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cookie` | `build()` Build the cookie instance
    `Cookie.Builder` | `domain(String domain)` Set the cookie domain
    `Cookie.Builder` | `name(String name)` Set the cookie name
    `Cookie.Builder` | `path(String path)` Set the cookie path
    `Cookie.Builder` | `value(String value)` Set the cookie value
    `Cookie.Builder` | `version(int version)` Set the cookie version

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CookieBuilder

          public CookieBuilder()

  - ### Method Detail

    - #### name

          public Cookie.Builder name(String name)

      Description copied from interface: `Cookie.Builder`
      Set the cookie name
      Specified by:
        `name` in interface `Cookie.Builder`
      Parameters:
        `name` - Cookie name (not null)
      Returns:
        this

    - #### value

          public Cookie.Builder value(String value)

      Description copied from interface: `Cookie.Builder`
      Set the cookie value
      Specified by:
        `value` in interface `Cookie.Builder`
      Parameters:
        `value` - Cookie value
      Returns:
        this

    - #### version

          public Cookie.Builder version(int version)

      Description copied from interface: `Cookie.Builder`
      Set the cookie version
      Specified by:
        `version` in interface `Cookie.Builder`
      Parameters:
        `version` - Cookie version
      Returns:
        this

    - #### domain

          public Cookie.Builder domain(String domain)

      Description copied from interface: `Cookie.Builder`
      Set the cookie domain
      Specified by:
        `domain` in interface `Cookie.Builder`
      Parameters:
        `domain` - Cookie domain
      Returns:
        this

    - #### path

          public Cookie.Builder path(String path)

      Description copied from interface: `Cookie.Builder`
      Set the cookie path
      Specified by:
        `path` in interface `Cookie.Builder`
      Parameters:
        `path` - Cookie path
      Returns:
        this

    - #### build

          public Cookie build()

      Description copied from interface: `Cookie.Builder`
      Build the cookie instance
      Specified by:
        `build` in interface `Cookie.Builder`
      Returns:
        Cookie instance

Copyright © 2019 The Holon Platform. All rights reserved.